<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_201) on Tue Jun 11 21:47:09 AEST 2019 -->
<title>BaseItemStack (worldedit-core 7.0.0 API)</title>
<meta name="date" content="2019-06-11">
<link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="BaseItemStack (worldedit-core 7.0.0 API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../com/sk89q/worldedit/blocks/BaseItem.html" title="class in com.sk89q.worldedit.blocks"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../com/sk89q/worldedit/blocks/Blocks.html" title="class in com.sk89q.worldedit.blocks"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?com/sk89q/worldedit/blocks/BaseItemStack.html" target="_top">Frames</a></li>
<li><a href="BaseItemStack.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">com.sk89q.worldedit.blocks</div>
<h2 title="Class BaseItemStack" class="title">Class BaseItemStack</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li><a href="../../../../com/sk89q/worldedit/blocks/BaseItem.html" title="class in com.sk89q.worldedit.blocks">com.sk89q.worldedit.blocks.BaseItem</a></li>
<li>
<ul class="inheritance">
<li>com.sk89q.worldedit.blocks.BaseItemStack</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd><a href="../../../../com/sk89q/worldedit/world/NbtValued.html" title="interface in com.sk89q.worldedit.world">NbtValued</a></dd>
</dl>
<hr>
<br>
<pre>public class <span class="typeNameLabel">BaseItemStack</span>
extends <a href="../../../../com/sk89q/worldedit/blocks/BaseItem.html" title="class in com.sk89q.worldedit.blocks">BaseItem</a></pre>
<div class="block">Represents a stack of BaseItems.

 <p>This class may be removed in the future.</p></div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/blocks/BaseItemStack.html#BaseItemStack-com.sk89q.worldedit.world.item.ItemType-">BaseItemStack</a></span>(<a href="../../../../com/sk89q/worldedit/world/item/ItemType.html" title="class in com.sk89q.worldedit.world.item">ItemType</a>&nbsp;itemType)</code>
<div class="block">Construct the object with default stack size of one, with damage value of 0.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/blocks/BaseItemStack.html#BaseItemStack-com.sk89q.worldedit.world.item.ItemType-com.sk89q.jnbt.CompoundTag-int-">BaseItemStack</a></span>(<a href="../../../../com/sk89q/worldedit/world/item/ItemType.html" title="class in com.sk89q.worldedit.world.item">ItemType</a>&nbsp;id,
             <a href="../../../../com/sk89q/jnbt/CompoundTag.html" title="class in com.sk89q.jnbt">CompoundTag</a>&nbsp;tag,
             int&nbsp;amount)</code>
<div class="block">Construct the object.</div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/blocks/BaseItemStack.html#BaseItemStack-com.sk89q.worldedit.world.item.ItemType-int-">BaseItemStack</a></span>(<a href="../../../../com/sk89q/worldedit/world/item/ItemType.html" title="class in com.sk89q.worldedit.world.item">ItemType</a>&nbsp;itemType,
             int&nbsp;amount)</code>
<div class="block">Construct the object.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/blocks/BaseItemStack.html#getAmount--">getAmount</a></span>()</code>
<div class="block">Get the number of items in the stack.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/blocks/BaseItemStack.html#setAmount-int-">setAmount</a></span>(int&nbsp;amount)</code>
<div class="block">Set the amount of items in the stack.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.com.sk89q.worldedit.blocks.BaseItem">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;com.sk89q.worldedit.blocks.<a href="../../../../com/sk89q/worldedit/blocks/BaseItem.html" title="class in com.sk89q.worldedit.blocks">BaseItem</a></h3>
<code><a href="../../../../com/sk89q/worldedit/blocks/BaseItem.html#getNbtData--">getNbtData</a>, <a href="../../../../com/sk89q/worldedit/blocks/BaseItem.html#getType--">getType</a>, <a href="../../../../com/sk89q/worldedit/blocks/BaseItem.html#hasNbtData--">hasNbtData</a>, <a href="../../../../com/sk89q/worldedit/blocks/BaseItem.html#setNbtData-com.sk89q.jnbt.CompoundTag-">setNbtData</a>, <a href="../../../../com/sk89q/worldedit/blocks/BaseItem.html#setType-com.sk89q.worldedit.world.item.ItemType-">setType</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="BaseItemStack-com.sk89q.worldedit.world.item.ItemType-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>BaseItemStack</h4>
<pre>public&nbsp;BaseItemStack(<a href="../../../../com/sk89q/worldedit/world/item/ItemType.html" title="class in com.sk89q.worldedit.world.item">ItemType</a>&nbsp;itemType)</pre>
<div class="block">Construct the object with default stack size of one, with damage value of 0.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>itemType</code> - The item type</dd>
</dl>
</li>
</ul>
<a name="BaseItemStack-com.sk89q.worldedit.world.item.ItemType-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>BaseItemStack</h4>
<pre>public&nbsp;BaseItemStack(<a href="../../../../com/sk89q/worldedit/world/item/ItemType.html" title="class in com.sk89q.worldedit.world.item">ItemType</a>&nbsp;itemType,
                     int&nbsp;amount)</pre>
<div class="block">Construct the object.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>itemType</code> - The item type</dd>
<dd><code>amount</code> - amount in the stack</dd>
</dl>
</li>
</ul>
<a name="BaseItemStack-com.sk89q.worldedit.world.item.ItemType-com.sk89q.jnbt.CompoundTag-int-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>BaseItemStack</h4>
<pre>public&nbsp;BaseItemStack(<a href="../../../../com/sk89q/worldedit/world/item/ItemType.html" title="class in com.sk89q.worldedit.world.item">ItemType</a>&nbsp;id,
                     <a href="../../../../com/sk89q/jnbt/CompoundTag.html" title="class in com.sk89q.jnbt">CompoundTag</a>&nbsp;tag,
                     int&nbsp;amount)</pre>
<div class="block">Construct the object.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>id</code> - The item type</dd>
<dd><code>tag</code> - Tag value</dd>
<dd><code>amount</code> - amount in the stack</dd>
</dl>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getAmount--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getAmount</h4>
<pre>public&nbsp;int&nbsp;getAmount()</pre>
<div class="block">Get the number of items in the stack.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the amount</dd>
</dl>
</li>
</ul>
<a name="setAmount-int-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>setAmount</h4>
<pre>public&nbsp;void&nbsp;setAmount(int&nbsp;amount)</pre>
<div class="block">Set the amount of items in the stack.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>amount</code> - the amount to set</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../com/sk89q/worldedit/blocks/BaseItem.html" title="class in com.sk89q.worldedit.blocks"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../com/sk89q/worldedit/blocks/Blocks.html" title="class in com.sk89q.worldedit.blocks"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?com/sk89q/worldedit/blocks/BaseItemStack.html" target="_top">Frames</a></li>
<li><a href="BaseItemStack.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
